org.eclipse.draw2d

## Interface RoutingListener

All Known Implementing Classes:
  RoutingAnimator, RoutingListener.Stub

    public interface RoutingListener

Classes which implement this interface provide callback hooks for various routing related events.

Instances can be hooked to a `PolylineConnection` by calling `PolylineConnection.addRoutingListener(RoutingListener)`.

Since:
  3.2

### Nested Class Summary

Nested Classes
`static class` `RoutingListener.Stub` A stub implementation which implements all required methods.

### Method Summary

Methods
`void` `invalidate(Connection connection)` Called when the connection has been invalidated.
`void` `postRoute(Connection connection)` Called after normal routing has completed.
`void` `remove(Connection connection)` Called when a connection has been removed from its router.
`boolean` `route(Connection connection)` Called prior to routing occurring.
`void` `setConstraint(Connection connection, java.lang.Object constraint)` Called when the connection's routing constraint has been set or initialized.

### Method Detail

#### invalidate

    void invalidate(Connection connection)

Called when the connection has been invalidated.

Parameters:
  `connection` - the connection
Since:
  3.2

#### postRoute

    void postRoute(Connection connection)

Called after normal routing has completed.

Parameters:
  `connection` - the routed connection
Since:
  3.2

#### remove

    void remove(Connection connection)

Called when a connection has been removed from its router.

Parameters:
  `connection` - the connection
Since:
  3.2

#### route

    boolean route(Connection connection)

Called prior to routing occurring. A listener may intercept routing by returning `true`. If intercepted, the connection's `ConnectionRouter` will not perform routing.

Parameters:
  `connection` - the connection being routed
Returns:
  `true` if routing has been performed by the listener
Since:
  3.2

#### setConstraint

    void setConstraint(Connection connection,
                     java.lang.Object constraint)

Called when the connection's routing constraint has been set or initialized.

Parameters:
  `connection` - the connection
  `constraint` - the new constraint
Since:
  3.2